summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorpyamsoft2018-11-04 20:03:09 -0800
committerpyamsoft2018-11-04 20:03:09 -0800
commit5e6c2c592600b32a6e56307f846f1423073ff9a1 (patch)
tree48f38d667b83225f1b4ec0e6bc22ce7abf497ff1
downloadaur-5e6c2c592600b32a6e56307f846f1423073ff9a1.tar.gz
Initial commit
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD80
-rw-r--r--shim-launcher6
3 files changed, 105 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8044933460a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = wattman-gtk-git
+ pkgdesc = GTK GUI to view, monitor, and overclock a Radeon GPU on Linux
+ pkgver = r28.8e3ede6
+ pkgrel = 1
+ url = https://github.com/BoukeHaarsma23/WattmanGTK
+ arch = any
+ license = GPLv2
+ makedepends = git
+ depends = python-gobject
+ depends = python-matplotlib
+ provides = wattman-gtk
+ conflicts = wattman-gtk
+ source = WattmanGTK::git+https://github.com/BoukeHaarsma23/WattmanGTK
+ source = shim-launcher
+ sha256sums = SKIP
+ sha256sums = 070b9a568564f2c1f59261d66e86f4af10de7f86577daa7e9500cfd6e4875daa
+
+pkgname = wattman-gtk-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..41445c5ba7b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,80 @@
+##
+# Maintainer: pyamsoft <pyam(dot)soft(at)gmail(dot)com>
+##
+
+_gitname=WattmanGTK
+# shellcheck disable=SC2034
+pkgname=wattman-gtk-git
+# shellcheck disable=SC2034
+pkgdesc="GTK GUI to view, monitor, and overclock a Radeon GPU on Linux"
+# shellcheck disable=SC2034
+pkgver=r28.8e3ede6
+# shellcheck disable=SC2034
+pkgrel=1
+# shellcheck disable=SC2034
+arch=('any')
+# shellcheck disable=SC2034
+makedepends=('git')
+# shellcheck disable=SC2034
+depends=('python-gobject' 'python-matplotlib')
+# shellcheck disable=SC2034
+optdepends=()
+# shellcheck disable=SC2034
+provides=('wattman-gtk')
+# shellcheck disable=SC2034
+conflicts=('wattman-gtk')
+# shellcheck disable=SC2034
+license=('GPLv2')
+url="https://github.com/BoukeHaarsma23/WattmanGTK"
+
+##
+# The SHA256 is constantly changing since this is
+# pulled from git so skip the verification check
+##
+# shellcheck disable=SC2034
+source=("${_gitname}::git+${url}" "shim-launcher")
+# shellcheck disable=SC2034
+sha256sums=('SKIP'
+ '070b9a568564f2c1f59261d66e86f4af10de7f86577daa7e9500cfd6e4875daa')
+
+pkgver() {
+ # shellcheck disable=SC2154
+ cd "${srcdir}/${_gitname}" || {
+ msg "Failed to cd into ${srcdir}/${_gitname}"
+ return 1
+ }
+
+ # From
+ # https://wiki.archlinux.org/index.php/VCS_package_guidelines#The_pkgver.28.29_function
+ # If there are no tags then use number of revisions since beginning of the history:
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+package() {
+ # shellcheck disable=SC2154
+ cd "${srcdir}/${_gitname}" || {
+ msg "Failed to cd into ${srcdir}/${_gitname}"
+ return 1
+ }
+
+ # Copy source files over
+ mkdir -p "${pkgdir}/opt/wattman-gtk"
+ cp *.py "${pkgdir}/opt/wattman-gtk"
+ cp *.ui "${pkgdir}/opt/wattman-gtk"
+
+ # Copy license over
+ mkdir -p "${pkgdir}/usr/share/wattman-gtk"
+ cp LICENSE "${pkgdir}/usr/share/wattman-gtk"
+
+ # Copy README over
+ mkdir -p "${pkgdir}/usr/share/doc/wattman-gtk"
+ cp README.md "${pkgdir}/usr/share/doc/wattman-gtk"
+
+ # Copy launcher
+ mkdir -p "${pkgdir}/usr/bin"
+ cp ../shim-launcher "${pkgdir}/usr/bin/wattman-gtk"
+
+ # Mark executable
+ chmod 755 "${pkgdir}/opt/wattman-gtk/wattman.py"
+ chmod 755 "${pkgdir}/usr/bin/wattman-gtk"
+}
diff --git a/shim-launcher b/shim-launcher
new file mode 100644
index 00000000000..0daee66b203
--- /dev/null
+++ b/shim-launcher
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# A simple launcher until wattman-gtk is packaged
+
+cd /opt/wattman-gtk
+python ./wattman.py